Index: code/branches/presentation3/data/levels/pickups.oxw
===================================================================
--- code/branches/presentation3/data/levels/pickup.oxw	(revision 6998)
+++ code/branches/presentation3/data/levels/pickups.oxw	(revision 7007)
@@ -19,8 +19,8 @@
   >
 
-<?lua
-  include("includes/pickups.oxi")
-?>
-    
+    <?lua
+      include("includes/pickups.oxi")
+    ?>
+
     <Light type=directional position="0,0,0" direction="0.253, 0.593, -0.765" diffuse="1.0, 0.9, 0.9, 1.0" specular="1.0, 0.9, 0.9, 1.0" />
     <SpawnPoint position="0,0,0" spawnclass=SpaceShip pawndesign=spaceshipassff />
@@ -28,117 +28,135 @@
 
     <!-- Shield pickups -->
-    
-    <PickupSpawner position="-25,-25,-100" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
-        <pickup>
-            <ShieldPickup template=smallshieldpickup />
-        </pickup>
+
+    <PickupSpawner position="-25,-25,-125" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
+      <pickup>
+        <ShieldPickup template=smallshieldpickup />
+      </pickup>
     </PickupSpawner>
 
-    <PickupSpawner position="0,-25,-100" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
-        <pickup>
-            <ShieldPickup template=mediumshieldpickup />
-        </pickup>
+    <PickupSpawner position="0,-25,-125" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
+      <pickup>
+        <ShieldPickup template=mediumshieldpickup />
+      </pickup>
     </PickupSpawner>
 
-    <PickupSpawner position="25,-25,-100" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
-        <pickup>
-            <ShieldPickup template=hugeshieldpickup />
-        </pickup>
-    </PickupSpawner>
-    
-    <!-- Health pickups -->
-    
-    <PickupSpawner position="-25,0,-100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
-        <pickup>
-            <HealthPickup template=smallhealthpickup />
-        </pickup>
-    </PickupSpawner>
-    
-    <PickupSpawner position="0,0,-100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
-        <pickup>
-            <HealthPickup template=mediumhealthpickup />
-        </pickup>
-    </PickupSpawner>
-    
-    <PickupSpawner position="25,0,-100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
-        <pickup>
-            <HealthPickup template=hugehealthpickup />
-        </pickup>
-    </PickupSpawner>
-    
-    <PickupSpawner position="50,0,-100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
-        <pickup>
-            <HealthPickup template=crazyhealthpickup />
-        </pickup>
-    </PickupSpawner>
-    
-    <!-- Speed pickups -->
-    
-    <PickupSpawner position="-25,25,-100" triggerDistance="10" respawnTime="10" maxSpawnedItems="99">
-        <pickup>
-            <SpeedPickup template=smallspeedpickup />
-        </pickup>
+    <PickupSpawner position="25,-25,-125" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
+      <pickup>
+        <ShieldPickup template=hugeshieldpickup />
+      </pickup>
     </PickupSpawner>
 
-    <PickupSpawner position="0,25,-100" triggerDistance="10" respawnTime="10" maxSpawnedItems="99">
-        <pickup>
-            <SpeedPickup template=mediumspeedpickup />
-        </pickup>
+    <!-- Health pickups -->
+
+    <PickupSpawner position="-25,0,-125" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
+      <pickup>
+        <HealthPickup template=smallhealthpickup />
+      </pickup>
     </PickupSpawner>
 
-    <PickupSpawner position="25,25,-100" triggerDistance="10" respawnTime="10" maxSpawnedItems="99">
-        <pickup>
-            <SpeedPickup template=hugespeedpickup />
-        </pickup>
+    <PickupSpawner position="0,0,-125" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
+      <pickup>
+        <HealthPickup template=mediumhealthpickup />
+      </pickup>
     </PickupSpawner>
 
-    <PickupSpawner position="50,25,-100" triggerDistance="10" respawnTime="10" maxSpawnedItems="99">
-        <pickup>
-            <SpeedPickup template=smalljumppickup />
-        </pickup>
-    </PickupSpawner>
-    
-    <!-- Invisible pickups -->
-    
-    <PickupSpawner position="-25,50,-100" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
-        <pickup>
-            <InvisiblePickup template=smallinvisiblepickup />
-        </pickup>
+    <PickupSpawner position="25,0,-125" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
+      <pickup>
+        <HealthPickup template=hugehealthpickup />
+      </pickup>
     </PickupSpawner>
 
-    <PickupSpawner position="0,50,-100" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
-        <pickup>
-            <InvisiblePickup template=mediuminvisiblepickup />
-        </pickup>
+    <PickupSpawner position="50,0,-125" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
+      <pickup>
+        <HealthPickup template=crazyhealthpickup />
+      </pickup>
     </PickupSpawner>
 
-    <PickupSpawner position="25,50,-100" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
-        <pickup>
-            <InvisiblePickup template=hugeinvisiblepickup />
-        </pickup>
-    </PickupSpawner>
-    
-    <!-- Meta pickups -->
-    
-    <PickupSpawner position="-25,75,-100" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
-        <pickup>
-            <MetaPickup metaType="use" />
-        </pickup>
+    <!-- Speed pickups -->
+
+    <PickupSpawner position="-25,25,-125" triggerDistance="10" respawnTime="10" maxSpawnedItems="99">
+      <pickup>
+        <SpeedPickup template=smallspeedpickup />
+      </pickup>
     </PickupSpawner>
 
-    <PickupSpawner position="0,75,-100" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
-        <pickup>
-            <MetaPickup metaType="drop" />
-        </pickup>
+    <PickupSpawner position="0,25,-125" triggerDistance="10" respawnTime="10" maxSpawnedItems="99">
+      <pickup>
+        <SpeedPickup template=mediumspeedpickup />
+      </pickup>
     </PickupSpawner>
-    
+
+    <PickupSpawner position="25,25,-125" triggerDistance="10" respawnTime="10" maxSpawnedItems="99">
+      <pickup>
+        <SpeedPickup template=hugespeedpickup />
+      </pickup>
+    </PickupSpawner>
+
+    <PickupSpawner position="50,25,-125" triggerDistance="10" respawnTime="10" maxSpawnedItems="99">
+      <pickup>
+        <SpeedPickup template=smalljumppickup />
+      </pickup>
+    </PickupSpawner>
+
+    <!-- Invisible pickups -->
+
+    <PickupSpawner position="-25,50,-125" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
+      <pickup>
+        <InvisiblePickup template=smallinvisiblepickup />
+      </pickup>
+    </PickupSpawner>
+
+    <PickupSpawner position="0,50,-125" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
+      <pickup>
+        <InvisiblePickup template=mediuminvisiblepickup />
+      </pickup>
+    </PickupSpawner>
+
+    <PickupSpawner position="25,50,-125" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
+      <pickup>
+        <InvisiblePickup template=hugeinvisiblepickup />
+      </pickup>
+    </PickupSpawner>
+
+    <!-- Meta pickups -->
+
+    <PickupSpawner position="-25,75,-125" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
+      <pickup>
+        <MetaPickup metaType="use" />
+      </pickup>
+    </PickupSpawner>
+
+    <PickupSpawner position="0,75,-125" triggerDistance="10" respawnTime="5" maxSpawnedItems="10">
+      <pickup>
+        <MetaPickup metaType="drop" />
+      </pickup>
+    </PickupSpawner>
+
     <!-- Pickup Collection pickups -->
-    
-    <PickupSpawner position="0,100,-100" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
-        <pickup>
-            <PickupCollection template=triplehealthspeedinvisibilitypickup />
-        </pickup>
+
+    <PickupSpawner position="-50,0,-125" triggerDistance="10" respawnTime="30" maxSpawnedItems="10">
+      <pickup>
+        <PickupCollection template=triplehealthspeedinvisibilitypickup />
+      </pickup>
     </PickupSpawner>
-    
+
+        <!-- PickupRepresentation for the pickup below, since it is not a standard pickup provided by pickups.oxi -->
+    <PickupRepresentation
+      pickupName = "Medium Health Pack"
+      pickupDescription = "Once used adds a medium amout of health to the ship."
+      spawnerTemplate = "mediumhealthpickupRepresentation"
+      inventoryRepresentation = "MediumHealth"
+    >
+      <pickup>
+        <HealthPickup health=50 activationType="onUse" durationType="once" />
+      </pickup>
+    </PickupRepresentation>
+
+    <PickupSpawner position="-50,25,-125" respawnTime="60" triggerDistance="20" maxSpawnedItems="5">
+      <pickup>
+        <HealthPickup health=50 activationType=onUse durationType=continuous />
+      </pickup>
+    </PickupSpawner>
+
   </Scene>
 </Level>
